﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;
using System.Collections.ObjectModel;

namespace ScheduleView_GroupHeader_SL
{
	public class MyViewModel : ViewModelBase
	{
		private ObservableCollection<Appointment> appointments;

		public ObservableCollection<Appointment> Appointments
		{
			get
			{
				return this.appointments;
			}
			set
			{
				if (this.appointments != value)
				{
					this.appointments = value;
				}
			}
		}

		public MyViewModel()
		{
			this.appointments = new ObservableCollection<Appointment>();
			this.resourceTypes = GenerateResourceTypes();
		}

		private ObservableCollection<ResourceType> resourceTypes;

		public ObservableCollection<ResourceType> ResourceTypes
		{
			get
			{
				return this.resourceTypes;
			}
			set
			{
				if (this.resourceTypes != value)
				{
					this.resourceTypes = value;
				}
			}
		}

		private ObservableCollection<ResourceType> GenerateResourceTypes()
		{
			ObservableCollection<ResourceType> result = new ObservableCollection<ResourceType>();

			ResourceType roomType = new ResourceType("Room");
			roomType.AllowMultipleSelection = true;
			Resource room102 = new Resource("Room 102");
			Resource room203 = new Resource("Room 203");
			Resource room406 = new Resource("Room 406");
			roomType.Resources.Add(room102);
			roomType.Resources.Add(room203);
			roomType.Resources.Add(room406);

			ResourceType speakerType = new ResourceType("Speaker");
			Resource tomSpeaker = new Resource("Tom");
			Resource peterSpeaker = new Resource("Peter");
			speakerType.Resources.Add(tomSpeaker);
			speakerType.Resources.Add(peterSpeaker);

			result.Add(roomType);
			result.Add(speakerType);
			return result;
		}
	}
}
